Opened 12 years ago

Closed 12 years ago

#448 closed defect (fixed)

<osm> tag without version attribute on emtpy data sets

Reported by: frederik@… Owned by: steve@…
Priority: major Milestone:
Component: api Version:
Keywords: Cc:

Description

when requesting bbox (through the "map" request), and there is no data present, the server returns

<osm></osm>

(at least it did so a number of times in a row just now), and this breaks things in JOSM, as JOSM would expect

<osm version="0.4"></osm>

If the version attribute is optional, JOSM needs to be fixed. If the JOSM attribute is mandatory, the API needs to be fixed. Which is it ;-)?

Change History (2)

comment:1 Changed 12 years ago by frederik@…

Component: adminapi

comment:2 Changed 12 years ago by Tom Hughes

Resolution: fixed
Status: newclosed

This was fixed in r2988.

Note: See TracTickets for help on using tickets.